Forums Niryo One Troubleshooting NiryoOne Studio Sequence

Viewing 9 posts - 1 through 9 (of 9 total)
  • Author
    Posts
  • FindingNiryo
    Participant
    Post count: 105

    Blockley editor: <math> two part operation drop-down + – Ãˍ ÷ ^

    should be + – * / ^

    choosing any operator results in run time error:

    “Sequence Command – Failed to parse given Xml”

    Also after exporting the XML to computer, attempting to import to blockley yeilds “Failed to parse given Xml” error

    • This topic was modified 8 months, 2 weeks ago by  FindingNiryo.
    Edouard Renard
    Keymaster
    Post count: 239

    Thanks for noticing that.

    I’ve run a test but couldn’t reproduce this issue (Niryo One Studio 2.1.1, RPi 2.1.0)

    The test I made is (with blocks) :

    – Block If with:

    – Condition =

    – Left side: Block “1+1”

    – Right side: Block number 2

    + A dummy action to execute inside the “if”

     

    And it works, no parsing error. Also tried exporting/importing and no error. Could you give more info about your robot setup and PC environment?

    I see the “+ – Ãˍ ÷ ^” instead of “+ – * / ^” though, will look into that.

    FindingNiryo
    Participant
    Post count: 105

    I am able to execute your blockley example. Here is what does not work for me:
    create 2 variables (“test” and “scale”) then <set> scale to “3” and <set> “test” to “scale” <+> “1”
    By the way <set> “test” to “scale” does not cause a parsing error.

    • This reply was modified 8 months, 1 week ago by  FindingNiryo.
    FindingNiryo
    Participant
    Post count: 105

    Are you able to reproduce this behavior?

    Edouard Renard
    Keymaster
    Post count: 239

    create 2 variables (“test” and “scale”) then <set> scale to “3” and <set> “test” to “scale” <+> “1”
    By the way <set> “test” to “scale” does not cause a parsing error.

    Yes I was able to reproduce this behavior, with the instructions you provided.

    Thanks for noticing that, that was quite tricky to find! Added that to our backlog.

    oliveirabr
    Participant
    Post count: 2

    I have flashed the “Niryo One Raspberry Pi 3 image v 1.1.0 ” into my rpi , and also the dynamixel ids 4,5,6 and gripper 2 (id12) are connected to the rpi.

    I have been able to identify the dynamixel`s ids throught a ssh connection with the rpi, I also could to see some movements making use of a python programm test.

    When I start the Niryo One Studio , nothing happens : I can see the ip connection but there is no hardware status, and I can not move the dynamixels servos trought the Niryo One Studio.

    FindingNiryo
    Participant
    Post count: 105

    Make sure the versions all match
    Latest available version
    Niryo One Studio : 2.1.1
    Raspberry Pi 3 image : 2.1.0
    Niryo Stepper firmware : 2.0.0

    oliveirabr
    Participant
    Post count: 2

    I am making use of version v 1.1.0 :
    Studio v 1.1.0 , Niryo One Raspberry Pi 3 image v 1.1.0 , Niryo One Raspberry Pi 3 image v 1.1.0 .

    When get connection with the rpi that is the msg:
    [ SUCCESS ] [2019-22-22 15:22:50] Robot Connection – Successfully connected to ws://192.168.0.101:9090

    On settings I got this msg:
    SOFTWARE VERSION
    Current version
    Connect to the robot to get current version

    HARDWARE STATUS
    Not connected to any robot

    Any suggestions on what to check ?

    How the Studio On get the hardware status ?

    FindingNiryo
    Participant
    Post count: 105

    Using version 2.2 NiryoOneStudio Still have a problem with
    create 2 variables (“test” and “scale”) then <set> scale to “3” and <set> “test” to “scale” <+> “1”
    click PLAY button: ERROR message “Failed to parse given Xml”

Viewing 9 posts - 1 through 9 (of 9 total)

You must be logged in to reply to this topic.